# Find third party libraries and programs.

find_program(YACC bison)
if(${YACC} STREQUAL YACC-NOTFOUND)
    message(FATAL_ERROR "GNU Bison not found.")
else()
    message(STATUS "Found Bison at: ${YACC}")
endif()

find_program(FLEX flex)
if(${FLEX} STREQUAL FLEX-NOTFOUND)
    message(FATAL_ERROR "Flex not found.")
else()
    message(STATUS "Found Flex at: ${FLEX}")
endif()

set(YACCFLAGS "-d")

# FIXME add check for STLport
include_directories(/usr/include/stlport)
list(APPEND system_libraries stlport)
add_definitions(-DSTLPORT_VERSION=400)

find_package(Threads REQUIRED)
list(APPEND system_libraries pthread)
add_definitions(-DNPTL)
add_definitions(-D_PTHREADS)

if(${OS} STREQUAL "LINUX" OR ${OS} STREQUAL "MACOSX")
    find_library(DLIB dl)
    if(${DLIB} STREQUAL DLIB-NOTFOUND)
        message(FATAL_ERROR "Dlib not found.")
    endif()
    list(APPEND system_libraries ${DLIB})
endif()
    

find_package(Boost 1.30.0 REQUIRED)
include_directories(${Boost_INCLUDE_DIRS})
